List user's repositories
curl --request GET \
--url https://api.diversion.dev/v0/repos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "Repo",
"items": [
{
"repo_name": "repo-name",
"repo_id": "example_id",
"size_bytes": 123,
"owner_user_id": "<string>",
"created_timestamp": 123,
"description": "<string>",
"default_branch_id": "<string>",
"default_branch_name": "<string>",
"sync_git_repo_url": "<string>"
}
]
}{
"status": 403,
"detail": "User not authorized to perform the requested action on the resource",
"title": "<string>",
"type": "<string>"
}Repository Management
List user's repositories
Get a list of repositories accessibly by the authenticated user
GET
/
repos
List user's repositories
Authorizations
OAuth2OAuth2
This API uses OAuth 2 with the implicit grant flow
Query Parameters
If specified, filters repositories by ownership of the authenticated user. True would mean only repos they own will be returned. False would mean only repos they collaborate on will be returned.
⌘I

